--- title: "Get account holder information" description: "Learn how to consume our dedicated AISP endpoints for getting account information." url: "https://docs.adyen.com/business-accounts/aisp" source_url: "https://docs.adyen.com/business-accounts/aisp.md" canonical: "https://docs.adyen.com/business-accounts/aisp" last_modified: "2026-05-26T13:48:55+02:00" language: "en" --- # Get account holder information Learn how to consume our dedicated AISP endpoints for getting account information. [View source](/business-accounts/aisp.md) As part of the open banking framework for Account Information Service Providers (AISPs), Adyen provides endpoints to retrieve the account information on behalf of account holders who have given their consent. This page explains how you, as a third-party AISP, use the `/accounts` endpoint to: * [Get all the accounts of an account holder](#all-accounts) * [Get account details](#account-details) * [Get account balances](#account-balances) * [Get account transactions](#account-transactions) ## Requirements | Requirement | Description | | -------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | **Integration type** | Not applicable; this documentation is intended for third-party providers. | | **Setup steps** | Before you begin, you must:- Complete the [Adyen onboarding steps](/business-accounts/open-banking#onboard-with-adyen). - Have your [access token](/business-accounts/oauth-flow#get-an-access-token) for the Adyen business account. - Have the [consent ID](/business-accounts/oauth-flow#create-a-consent) related to the consent that the account holder gave you. | | | | ## Get all accounts of an account holder To get a list of all Adyen business accounts associated with an account holder: 1. Make a GET `/accounts` request. In the request header, make sure to add the `consent_id` related to the account. **Get all accounts by consent ID** ```bash curl 'https://openbanking-psd2-test.adyen.com/obeu/aisp/v1/accounts' \ --header 'X-Request-ID: {your-request-id}' \ --header 'Consent_Id: {consent-id}' \ --header 'Authorization: Bearer {access-token}' ``` 2. Check the response for the list of accounts associated with an account holder and the details about each account. The response is an array of accounts, where each array item contains the following fields: | Parameter | Description | | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | | `resourceId` | A string that represents the ID of the account. | | `ownerName` | Name of the legal account owner. | | `iban` | IBAN of an account. | | `currencyCode` | The three-character [ISO currency code](/development-resources/currency-codes/). | | `product` | Product name of the bank for this account, proprietary definition. | | `status` | The account status. | | `_links` | Links to the account, which can be directly used for retrieving account information from this dedicated account, such as balances and/or transactions. | ```json { "accounts": [ { "resourceId": "S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw", "ownerName": "ADYEN NV", "iban": "NL91ABNA0417164300", "currencyCode": "EUR", "product": "BankAccountNumber", "status": "Active", "_links": { "balances": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw/balances" }, "transactions": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw/transactions" } } } ] } ``` ## Get account details To get detailed information for a specific account identified by its `resourceId`: 1. Make a GET `/accounts/{resourceId}` request, where `resourceId` is the identification of the account that you received in the GET `/accounts` response. In the request header, make sure to add the `consent_id` related to the account. **Get account details** ```bash curl 'https://openbanking-psd2-test.adyen.com/obeu/aisp/v1/accounts/{resourceId}' \ --header 'X-Request-ID: {your-request-id}' \ --header 'Consent_Id: {consent-id}' \ --header 'Authorization: Bearer {access-token}' ``` 2. The response of the request may look like this: ```json { "resourceId": "S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw", "ownerName": "Simon Hopper", "iban": "NL91ABNA0417164300", "currencyCode": "EUR", "product": "BankAccountNumber", "status": "Active", "_links": { "balances": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw/balances" }, "transactions": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw/transactions" } } } ``` ## Get account balances To get balance information for a specific account identified by its `resourceId`: 1. Make a GET `/accounts/{resourceId}/balances` request, where `resourceId` is the identification of the account that you received in the GET `/accounts` response. In the request header, make sure to add the `consent_id` related to the account. **Get account balances** ```bash curl 'https://openbanking-psd2-test.adyen.com/obeu/aisp/v1/accounts/{resourceId}/balances' \ --header 'X-Request-ID: {your-request-id}' \ --header 'Consent_Id: {consent-id}' \ --header 'Authorization: Bearer {access-token}' ``` 2. Check the response for details about the account's IBAN, currency, and a list of balances, each detailing the balance type and amount. The response contains the following fields: | Parameter | Description | | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `balanceType` | Possible values are:- **authorised**: Funds held for pending transactions, this amount is blocked and unavailable for other uses. - **closingBooked**: Balance of the account at the end of the pre-agreed account reporting period. - **expected**: Balance composed of booked entries and pending items known at the time of calculation. - **openingBooked**: Book balance of the account at the beginning of the account reporting period. - **interimAvailable**: Available balance calculated in the course of the account servicer's business day. - **interimBooked**: Balance calculated in the course of the account servicer's business day, at the time specified. - **forwardAvailable**: Forward available balance of money that is at the disposal of the account owner on the date specified. - **nonInvoiced**: Not yet invoiced, for card accounts only. | | `balanceAmount` | The amount and currency of the total available amount. | ```json { "account": { "iban": "NL91ABNA0417164300", "currency": "EUR" }, "balances": [ { "balanceType": "authorised", "balanceAmount": { "amount": "23.49", "currency": "EUR" } }, { "balanceType": "expected", "balanceAmount": { "amount": "24.24", "currency": "EUR" } } ] } ``` ## Get account transactions To get transaction information for a specific account identified by its `resourceId`: 1. Make a GET `/accounts/{resourceId}/transactions` request with the following query parameters, where `resourceId` is the identification of the account that you received in the GET `/accounts` response. In the request header, make sure to add the `consent_id` related to the account. | Query Parameter | Required | Description | | --------------- | ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | `bookingStatus` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The status of the transaction. Possible values:- **booked**: Transactions settled. - **pending**: Transactions in process. - **both**: Transactions that are both booked and in a pending state. * . | | `dateFrom` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | Specifies a starting date or timestamp for filtering data. Must be a valid ISO format, such as yyyy-mm-dd. | | `dateTo` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | Specifies an ending date or timestamp for filtering data. Must be a valid ISO format, such as yyyy-mm-dd. | | `pageSize` | | Specifies the maximum number of records that should be included in the API response. The range is from 1 to 50. Default value is 1. | **Get account transactions** ```bash curl 'https://openbanking-psd2-test.adyen.com/obeu/v1/accounts/{resourceId}/transactions?bookingStatus=booked&dateFrom=2020-01-01&pageSize={account-transactions-page-size}' \ --header 'X-Request-ID: {your-request-id}' \ --header 'Consent_Id: {consent-id}' \ --header 'Authorization: Bearer {access-token}' ``` 2. Check the response for details about the account's IBAN, currency, and a list of transactions. The response is an array of transactions, each detailing booking date, transaction amount, and creditor information. If consent has been granted for balances, you will also see an array of balances with details. At the end of the response you will see links, to manage the length we implement pagination. These links can be the previous and next pages, as well as direct links to account details. ```json { "account": { "iban": "NL91ABNA0417164300", "currency": "EUR" }, "balances": [ { "balanceType": "expected", "balanceAmount": { "amount": "24.24", "currency": "EUR" } }, { "balanceType": "authorised", "balanceAmount": { "amount": "23.49", "currency": "EUR" } } ], "transactions": { "booked": [ { "transactionId": "EVJN4227K22322295J23J33BN52T4MEUR", "bookingDate": "2023-06-13T11:37:01", "valueDate": "2023-06-13T11:37:01", "transactionAmount": { "amount": "-10.01", "currency": "EUR" }, "creditorName": "Joe Doe", "creditorAccount": { "iban": "NL57INGB4654188101", "currency": "EUR" } }, { "transactionId": "EVJN4227K22322295J23H5XBMJ765REUR", "bookingDate": "2023-06-13T11:25:18", "valueDate": "2023-06-13T11:25:17", "transactionAmount": { "amount": "-11.50", "currency": "EUR" }, "creditorName": "Joe Doe", "creditorAccount": { "iban": "NL57INGB4654188101", "currency": "EUR" } } ] }, "_links": { "next": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw/transactions?bookingStatus=booked&dateFrom=2023-06-10&dateTo=2023-08-01&pageSize=2&cursor=S2B-c2RFJCtoKWxAV11JQmZ9QFx33KH5ubVlwRj02K0ZtRzMgYWQkJVslRXpDdVtwby9GaDQkUEdAdTIsOkZlRXZNU187PyZBOU533UjZHM0hrW018TzN8Om0zemN4MGtrTVYuMkcsL0BzNzo" }, "account": { "href": "/obeu/aisp/v1/accounts/S3B-QyYjNjZ0OyI33Kn86KilYIUx0TVtuOw" } } } ``` ## See also * [Initiate payments](/business-accounts/pisp) * [Confirm funds](/business-accounts/piisp)